Chuyển đến nội dung
Diễn đàn CADViet

sg0nline

Thành viên
  • Số lượng nội dung

    34
  • Đã tham gia

  • Lần ghé thăm cuối

Bài đăng được đăng bởi sg0nline


  1. Vào lúc 2/11/2020 tại 11:49, Duong Nhat Duy đã nói:

    Tính của bạn là tính tổng theo từng loại ống hay thống kê theo từng loại, từng đoạn ống ?

     

    Vào lúc 2/11/2020 tại 19:31, CadExTools đã nói:

    Xem qua video của mình nhé.

     

     

    Vào lúc 2/11/2020 tại 12:40, vobanho đã nói:

    Sử dụng DATAEXTRACTION chắc là sẽ được  ( thống kê nhỉ). Kích thước bên trong Block động của bạn có vẻ hơi rối khi xuất ko biết chọn kích thước nào. Lips thì tiện hơn nhỉ ,cho mình hóng ké nhé.

     

    Vào lúc 16/11/2020 tại 11:12, huunhantvxdts đã nói:

    Rãnh làm cái thử xem

    Capture.PNG

    Thong ke ong (TKON).rar

    thank bác tham gia giúp mình chỉ cần đơn gian thôi bác kích chọn 1 loại ống rồi đánh lệnh là ra khối lượng tổng của loại ống đó giống tương tự lệnh đo chiều dài tl ( thay vì đo line thì mình đo chiều dài block)

     

     


  2. cho mình xin 1 key test thử

    C:\Users\Admin>wmic diskdrive get name,size,model,SerialNumber
    Model                                 Name                SerialNumber     Size
    Kingston DataTraveler 3.0 USB Device  \\.\PHYSICALDRIVE2  0                15471751680
    HGST HTS725050A7E630                  \\.\PHYSICALDRIVE1  TF655AWH1NWATL   500105249280
    Samsung SSD 850 PRO 128GB


  3. Mình có sửa list này làm tròn số thành 13.9 ( hình minh họa) nhưng ko hiểu sao vào cad lại không được, với bạn nào sửa dùm cho copy vào clipboard luôn được không . cảm ơn

    ;;;--------------------------------------------------------------------
    (defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))
    ;;;--------------------------------------------------------------------
    (defun C:TL( / ss L e)
    (setq
       ss (ssget  (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))
       L 0.0
    )(vl-load-com)
    (while (setq e (ssname ss 0))
       (setq L (+ L (length1 e)))
       (ssdel e ss)
    )
    (alert (strcat "Total length = " (rtos (/ L 1000) 2 1 )))
    )
    ;;;-------------------------------------------------------------

    Untitled.png

    • Vote giảm 1

  4. - Vấn đề ở chỗ đầu bài của bạn chỉ có viewport, ngoài ra không có gì để minh họa.

    - Khung tên là cái gì? Cad chỉ có các đối tượng như là: Line, pline, Block, circle ... vv... Nó chẳng có cái nào gọi là "khung tên" cả.

    - ý mình là file bản vẽ của mình đang ko về 1 chuẩn nào cả mình muốn chỉnh lại layout đồng nhất ấy. khung tên bản vẽ và viewport về 1 cỡ, mà scale từng cái thì hơi lâu lên mình muốn nhờ viết list chuyển cho lẹ xíu làm thủ công thì phải scale tưng cái khung tên từ viewport 1 rồi move về gốc tọa độ ... bạn có hướng nào giải quyết vấn đề này ko .. thank

×